--
-- SGGR#51281: Belafspraken en werkbezoeken Aareon Emmen 
-- Lease auto's en poolauto's wisselen nog wel eens, dus omzetten naar eenzelfde objectsoort

DEFINE thisfile = 'SGGR#51281.SQL'
DEFINE dbuser   = '^SGGR'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
COLUMN fcltcusterr NEW_VALUE fcltcusterr NOPRINT;
WHENEVER SQLERROR CONTINUE;
SELECT adm.getscriptspoolfile('&thisfile') AS fcltlogfile FROM DUAL;
SPOOL &fcltlogfile
WHENEVER SQLERROR EXIT;
SELECT adm.checkscriptcust('&dbuser') AS fcltcusterr FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SET DEFINE OFF

------ payload begin ------

-- STAP 1:
-- kenmerken omzetten van objectsoort niveau naar objectgroep niveau
-- de objectsoort 621 en 481 kunnen om naar 141
UPDATE ins_kenmerk k
   SET k.ins_kenmerk_niveau = 'G', k.ins_srtinstallatie_key = 141    -- Auto's
 WHERE k.ins_srtinstallatie_key IN (621, 481)    --- leaseauto's en poolauto's
                                              AND k.ins_kenmerk_niveau = 'S';

-- STAP 2:
-- Poolauto's zetten we om naar objectsoort Lease auto's
UPDATE ins_deel o
   SET ins_srtdeel_key = 621
  WHERE o.ins_srtdeel_key = 481
 AND o.ins_deel_verwijder IS NULL
 AND (o.ins_deel_vervaldatum  IS NULL OR o.ins_deel_vervaldatum  > trunc(sysdate));

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
